> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prequel.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get object storage manifest signature public key

> Get the public key you can use to verify object storage manifests.



## OpenAPI

````yaml /generated/openapi-import-generated-2023-12-01.json get /public/signatures/object-storage-manifest-public-key
openapi: 3.1.0
info:
  title: Prequel Data Import
  description: Data Import API spec
  version: '2023-12-01'
servers:
  - url: https://api.prequel.co
    description: Cloud-hosted server (US)
  - url: https://eu-api.prequel.co
    description: Cloud-hosted server (EU)
  - url: https://{custom_host}
    description: Self-hosted Prequel API host
security:
  - ApiKeyAuth: []
paths:
  /public/signatures/object-storage-manifest-public-key:
    get:
      tags:
        - Signatures
      summary: Get object storage manifest signature public key
      description: Get the public key you can use to verify object storage manifests.
      operationId: get-object-storage-manifest-public-key
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/PublicKeyResponse'
                    $schema: https://json-schema.org/draft/2020-12/schema
                    $id: >-
                      https://github.com/prequel-co/datafeed/internal/shared/api/models/public-key-response
                  message:
                    type: string
                type: object
                required:
                  - status
                  - data
                  - message
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    PublicKeyResponse:
      properties:
        public_key:
          $ref: '#/components/schemas/PublicKeyResource'
      additionalProperties: false
      type: object
      required:
        - public_key
    PublicKeyResource:
      properties:
        id:
          type: string
        key_type:
          type: string
        public_key:
          type: string
          description: >-
            Public key used to verify Prequel-generated signatures. Formatted as
            a SSH-RSA public key.
        created_at:
          type: string
          format: date-time
          description: The date and time the public key was created.
      additionalProperties: false
      type: object
      required:
        - public_key
        - created_at
    ErrorResponse:
      properties:
        status:
          type: string
          const: error
        message:
          type: string
        data:
          type: 'null'
      type: object
      required:
        - status
        - message
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````